Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.controlhaus.amazon
Class AmazonClientControlBeanBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          org.controlhaus.xfire.client.XFireClientControlBeanBeanInfo
              org.controlhaus.amazon.AmazonClientControlBeanBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

    public class AmazonClientControlBeanBeanInfo

extends org.controlhaus.xfire.client.XFireClientControlBeanBeanInfo

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`AmazonClientControlBeanBeanInfo()`

Method Summary
`java.beans.BeanDescriptor` | `getBeanDescriptor()`
`java.beans.EventSetDescriptor[]` | `getEventSetDescriptors()`
`java.beans.MethodDescriptor[]` | `getMethodDescriptors()`
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()`
`protected void` | `initEventSetDescriptors(java.beans.EventSetDescriptor[] eventSetDescriptors, int index)`
`protected void` | `initMethodDescriptors(java.beans.MethodDescriptor[] methodDescriptors, int index)` Stores MethodDescriptor descriptors for this bean and its superclasses into an array, starting at the specified index
`protected void` | `initPropertyDescriptors(java.beans.PropertyDescriptor[] propDescriptors, int index)` Stores PropertyDescriptor descriptors for this bean and its superclasses into an array, starting at the specified index

Methods inherited from class org.controlhaus.xfire.client.XFireClientControlBeanBeanInfo
`initEndInvokeCallbackEvents`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getIcon, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AmazonClientControlBeanBeanInfo

    public AmazonClientControlBeanBeanInfo()

Method Detail

### getBeanDescriptor

    public java.beans.BeanDescriptor getBeanDescriptor()

  Specified by:
    `getBeanDescriptor` in interface `java.beans.BeanInfo`
  Overrides:
    `getBeanDescriptor` in class `org.controlhaus.xfire.client.XFireClientControlBeanBeanInfo`

### initMethodDescriptors

    protected void initMethodDescriptors(java.beans.MethodDescriptor[] methodDescriptors,
                                         int index)
                                  throws java.beans.IntrospectionException

  Stores MethodDescriptor descriptors for this bean and its superclasses into an array, starting at the specified index

  Overrides:
    `initMethodDescriptors` in class `org.controlhaus.xfire.client.XFireClientControlBeanBeanInfo`
  Throws:
    `java.beans.IntrospectionException`

### getMethodDescriptors

    public java.beans.MethodDescriptor[] getMethodDescriptors()

  Specified by:
    `getMethodDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getMethodDescriptors` in class `org.controlhaus.xfire.client.XFireClientControlBeanBeanInfo`

### initPropertyDescriptors

    protected void initPropertyDescriptors(java.beans.PropertyDescriptor[] propDescriptors,
                                           int index)
                                    throws java.beans.IntrospectionException

  Stores PropertyDescriptor descriptors for this bean and its superclasses into an array, starting at the specified index

  Overrides:
    `initPropertyDescriptors` in class `org.controlhaus.xfire.client.XFireClientControlBeanBeanInfo`
  Throws:
    `java.beans.IntrospectionException`

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `org.controlhaus.xfire.client.XFireClientControlBeanBeanInfo`

### initEventSetDescriptors

    protected void initEventSetDescriptors(java.beans.EventSetDescriptor[] eventSetDescriptors,
                                           int index)
                                    throws java.beans.IntrospectionException

  Overrides:
    `initEventSetDescriptors` in class `org.controlhaus.xfire.client.XFireClientControlBeanBeanInfo`
  Throws:
    `java.beans.IntrospectionException`

### getEventSetDescriptors

    public java.beans.EventSetDescriptor[] getEventSetDescriptors()

  Specified by:
    `getEventSetDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getEventSetDescriptors` in class `org.controlhaus.xfire.client.XFireClientControlBeanBeanInfo`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Controlhaus. All Rights Reserved.